/*
 * Copyright Camunda Services GmbH and/or licensed to Camunda Services GmbH
 * under one or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information regarding copyright
 * ownership. Camunda licenses this file to you under the Apache License,
 * Version 2.0; you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.camunda.bpm.client.spring.subscription;

import org.camunda.bpm.client.ExternalTaskClient;
import org.camunda.bpm.client.spring.MockedTest;
import org.camunda.bpm.client.spring.configuration.SimpleClientConfiguration;
import org.camunda.bpm.client.spring.subscription.configuration.HandlerMethodAnnotationConfiguration;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;

import static org.mockito.Mockito.times;
import static org.mockito.Mockito.verify;
import static org.mockito.Mockito.verifyNoMoreInteractions;

@ContextConfiguration(classes = {
    SimpleClientConfiguration.class,
    HandlerMethodAnnotationConfiguration.class
})
public class HandlerMethodAnnotationTest extends MockedTest {

  @Autowired
  public ExternalTaskClient externalTaskClient;

  @Test
  public void shouldSubscribeByMethodAnnotation() {
    verify(client, times(1)).subscribe("topic-name");
    verifyNoMoreInteractions(client);
  }

}